package com.spyman.mechanicalcraft.common.recipe;

import com.spyman.mechanicalcraft.common.MechanicalCraft;
import com.spyman.mechanicalcraft.common.items.MechanicalCraftItems;
import net.minecraft.block.Block;
import net.minecraft.init.Blocks;
import net.minecraft.item.Item;
import net.minecraft.item.ItemStack;

import java.util.HashMap;
import java.util.Iterator;
import java.util.Map;
import java.util.Random;

public class OreExtractorRecipes
{
    private static final OreExtractorRecipes smeltingBase = new OreExtractorRecipes();
    private Map<ItemStack[], ItemStack[]> smeltingList = new HashMap<ItemStack[], ItemStack[]>();
    private ItemStack[] resultList = new ItemStack[]
    {
            new ItemStack(MechanicalCraftItems.brokenTinOre),
            new ItemStack(MechanicalCraftItems.brokenCopperOre),
            new ItemStack(MechanicalCraftItems.brokenZincOre),
            new ItemStack(MechanicalCraftItems.brokenIronOre),
            new ItemStack(MechanicalCraftItems.brokenGoldOre),
            new ItemStack(MechanicalCraftItems.brokenCoalOre),
            new ItemStack(MechanicalCraftItems.brokenDiamondOre),
            new ItemStack(MechanicalCraftItems.brokenEmeraldOre),
            new ItemStack(MechanicalCraftItems.brokenRedstoneOre),
            new ItemStack(MechanicalCraftItems.brokenLapisOre)
    };

    Random itemRand = new Random();
    Random quantityRand = new Random();

    public OreExtractorRecipes()
    {
        this.addRecipe(Blocks.gravel, resultList);
    }

    public void addRecipe(ItemStack input1, ItemStack[] output1)
    {
        ItemStack[] stackList = new ItemStack[] {input1};
        this.smeltingList.put(stackList, output1);
    }

    public void addRecipe(Item input1, ItemStack[] output1)
    {
        this.addRecipe(new ItemStack(input1), output1);
    }

    public void addRecipe(Block input1, ItemStack[] output1)
    {
        this.addRecipe(new ItemStack(input1), output1);
    }

    public ItemStack getSmeltingResult(ItemStack[] stack)
    {
        Iterator<Map.Entry<ItemStack[], ItemStack[]>> iterator = this.smeltingList.entrySet().iterator();
        Map.Entry<ItemStack[], ItemStack[]> entry;

        do
        {
            if(!iterator.hasNext())
            {
                return null;
            }
            entry = (Map.Entry<ItemStack[], ItemStack[]>)iterator.next();
        }
        while(!this.isSameKey(stack, (ItemStack[])entry.getKey()));

        ItemStack result = ((ItemStack[])entry.getValue())[itemRand.nextInt(10)];
        result.stackSize = quantityRand.nextInt((3) + 1);
        return result;
    }

    private boolean isSameKey(ItemStack[] stackList, ItemStack[] stackList2)
    {
        boolean isSame = false;

        if(stackList[0].getItem() == stackList2[0].getItem())
        {
            isSame = true;
        }
        else
        {
            return false;
        }
        return isSame;
    }

    public Map<ItemStack[], ItemStack[]> getSmeltingList()
    {
        return this.smeltingList;
    }

    public static OreExtractorRecipes smelting()
    {
        return smeltingBase;
    }
}
